#include "Riostream.h"
#include "TDatime.h"
#include "TPolyMarker.h"
#include "TPolyLine.h"
#include "TLine.h"
#include "TCanvas.h"
#include "TGraph.h"
#include "TAxis.h"
#include "TH1.h"
#include "TH2.h"
#include "TLegend.h"  
#include "TFile.h"
#include "TTree.h"
#include "TStyle.h"
#include "TChain.h"
#include "TMarker.h"
#include "TROOT.h"
#include "TF1.h"
#include "TProfile.h"
#include "TCut.h" 

using namespace std;


void PlotThresholds()
{

  TCanvas *c1 = new TCanvas("c1","c1",1200,769);
  c1->Divide(1,1);
  c1->cd(1);
 // gPad->SetLogy();
  TGraph *gEThr = new TGraph("./BB_EThr.dat");
  gEThr->SetLineColor(kRed);
  gEThr->Draw("AL");
  gPad->SetGrid();
  gEThr->GetXaxis()->SetTitle("Run #");
  gEThr->GetYaxis()->SetTitle("Threshold [V]");
  gEThr->SetTitle("BigBite E-TDC Threshold");

  TCanvas *c2 = new TCanvas("c2","c2",1200,769);
  c2->Divide(1,1);
  c2->cd(1);
 // gPad->SetLogy();
  TGraph *gdEThr = new TGraph("./BB_dEThr.dat");
  gdEThr->SetLineColor(kBlue);
  gdEThr->Draw("AL");
  gPad->SetGrid();
  gdEThr->GetXaxis()->SetTitle("Run #");
  gdEThr->GetYaxis()->SetTitle("Threshold [V]");
  gdEThr->SetTitle("BigBite dE-TDC Threshold");

  TCanvas *c3 = new TCanvas("c3","c3",1200,769);
  c3->Divide(1,1);
  c3->cd(1);
 // gPad->SetLogy();
  TGraph *gdETriggerThr = new TGraph("./BB_dETriggerThr.dat");
  gdETriggerThr->SetLineColor(kGreen);
  gdETriggerThr->Draw("AL");
  gPad->SetGrid();
  gdETriggerThr->GetXaxis()->SetTitle("Run #");
  gdETriggerThr->GetYaxis()->SetTitle("Threshold [V]");
  gdETriggerThr->SetTitle("BigBite dE-Trigger-TDC Threshold");

  TCanvas *c4 = new TCanvas("c4","c4",1200,769);
  c4->Divide(1,1);
  c4->cd(1);
 // gPad->SetLogy();
  TGraph *gMWDCBack = new TGraph("./BB_MWDCBack.dat");
  gMWDCBack->SetLineColor(kOrange);
  gMWDCBack->Draw("AL");
  gPad->SetGrid();
  gMWDCBack->GetXaxis()->SetTitle("Run #");
  gMWDCBack->GetYaxis()->SetTitle("Threshold [V]");
  gMWDCBack->SetTitle("BigBite 2nd MWDC-TDC Threshold");


  TCanvas *c5 = new TCanvas("c5","c5",1200,769);
  c5->Divide(1,1);
  c5->cd(1);
 // gPad->SetLogy();
  TGraph *gMWDCFront = new TGraph("./BB_MWDCFront.dat");
  gMWDCFront->SetLineColor(kBlue);
  gMWDCFront->Draw("AL");
  gPad->SetGrid();
  gMWDCFront->GetXaxis()->SetTitle("Run #");
  gMWDCFront->GetYaxis()->SetTitle("Threshold [V]");
  gMWDCFront->SetTitle("BigBite 1st MWDC-TDC Threshold");

  TCanvas *c6 = new TCanvas("c6","c6",1200,769);
  c6->Divide(1,1);
  c6->cd(1);
 // gPad->SetLogy();
  TGraph *gMWDCFrontHV = new TGraph("./BB_MWDCFrontHV.dat");
  gMWDCFrontHV->SetLineColor(kBlue);
  gMWDCFrontHV->Draw("AL");
  gPad->SetGrid();
  gMWDCFrontHV->GetXaxis()->SetTitle("Run #");
  gMWDCFrontHV->GetYaxis()->SetTitle("DC Voltage [V]");
  gMWDCFrontHV->SetTitle("BigBite 1st MWDC High Voltage");

  TCanvas *c7 = new TCanvas("c7","c7",1200,769);
  c7->Divide(1,1);
  c7->cd(1);
 // gPad->SetLogy();
  TGraph *gMWDCBackHV = new TGraph("./BB_MWDCBackHV.dat");
  gMWDCBackHV->SetLineColor(kOrange);
  gMWDCBackHV->Draw("AL");
  gPad->SetGrid();
  gMWDCBackHV->GetXaxis()->SetTitle("Run #");
  gMWDCBackHV->GetYaxis()->SetTitle("DC Voltage [V]");
  gMWDCBackHV->SetTitle("BigBite 2nd MWDC High Voltage");



   
}
