#!/bin/bash

FILE1="file1.dat"
FILE2="file2.dat"
FILE3="file3.dat"
FILE4="file4.dat"
FILE5="file5.dat"
FILE6="file6.dat"
FILE7="file7.dat"


for FILE in `find ./HALOG/ -name '09*.html'`
do

  #Run number 
  RunNumber=$(cat $FILE | grep "Run Number" $FILE | grep  "EPICS" | grep "Beginning-of-run" | awk -F"Number" '{print $2}' | awk -F"at" '{print $1}')

  EThr=`cat $FILE | grep "Threshold for 'E' in slot 1 is"  | awk -F"is" '{print $2}' | awk '{print $1}'`
  dEThr=`cat $FILE | grep "Threshold for 'dE' in slot 21 is"  | awk -F"is" '{print $2}' | awk '{print $1}'`
  dETriggerThr=`cat $FILE | grep "Threshold for 'dEtrigger' in slot 17 is"  | awk -F"is" '{print $2}' | awk '{print $1}'`
  
  MWDCFront=`cat $FILE | grep "mwdc_front"  | awk -F"is" '{print $2}' | awk -F+ '{print $2}' | awk '{print $1}'`
  MWDCBack=`cat $FILE | grep "mwdc_back"  | awk -F"is" '{print $2}' | awk -F+ '{print $2}' | awk '{print $1}'`
  
  MWDCFrontHV=`cat $FILE | awk '{ if ( $0 ~ /Map  BB_DC  Measured Voltage/){ getline; printf("%s \n",$0)};}' | awk -F: '{print $2}' | awk '{print $1}'`
  MWDCBackHV=`cat $FILE | awk '{ if ( $0 ~ /Map  BB_DC  Measured Voltage/){ getline; getline; printf("%s \n",$0)};}' | awk -F: '{print $2}' | awk '{print $1}'`

  echo $RunNumber" "$EThr" "$dEThr" "$dETriggerThr"     "$MWDCFront" "$MWDCBack"     "$MWDCFrontHV" "$MWDCBackHV
  
  echo $RunNumber" "$EThr >> $FILE1
  echo $RunNumber" "$dEThr >> $FILE2
  echo $RunNumber" "$dETriggerThr >>$FILE3
  echo $RunNumber" "$MWDCFront >> $FILE4
  echo $RunNumber" "$MWDCBack >> $FILE5
  echo $RunNumber" "$MWDCFrontHV >> $FILE6
  echo $RunNumber" "$MWDCBackHV >> $FILE7

done

sort $FILE1 > "BB_EThr.dat"
sort $FILE2 > "BB_dEThr.dat"
sort $FILE3 > "BB_dETriggerThr.dat"
sort $FILE4 > "BB_MWDCFront.dat"
sort $FILE5 > "BB_MWDCBack.dat"
sort $FILE6 > "BB_MWDCFrontHV.dat"
sort $FILE7 > "BB_MWDCBackHV.dat"

rm -f $FILE1
rm -f $FILE2
rm -f $FILE3
rm -f $FILE4
rm -f $FILE5
rm -f $FILE6
rm -f $FILE7




